<?php
/**
 * 
 * @file channel_edit.php
 * @copyright (c) 2005 - 2007 eifr.com
 * @license http://www.gnu.org/copyleft/gpl.html gnu/gpl
 * eifr is free software
 */

require_once('../../includes/inc_admin.php');
require_once(EIFR_ROOT . 'libraries/template.php');
require_once('class_channel.php');

$url = 'mod_channel/channel_merge.php';
Common::checkAdminFileAuth($url); //check file authority
$clComChannel = new ComChannel();
$clTemplate = new Template(getAdminTemplateDir($url));

if (!isset($act)) $act = '';
if ($act == 'save_merge') {
    $clComChannel -> mergeRecords();
} else {
    $clComChannel -> layout_channel_merge();
} 

?>